<mb-input-text #searchInput [mbSuffixTemplate]="selected ? suffixIconClose : suffixIconSearch"
               *ngIf='!isMultiSelect; else multiEmployeeTmpl'
               [mbShowFlexEnd]="mbLabelText != null"
               [mbLabelText]="mbLabelText"
               mbPlaceholderText="{{ mbPlaceholder | translate}}"
               (mbBlur)="onBlur()"
               [mbReadOnly]="selected || !mbCanText"
               [mbDisable]="mbDisable"
               [mbType]="mbType"
               [mbAutocomplete]="mbAutocomplete"
               [mbShowError]="mbShowError"
               [mbErrors]="mbErrors"
               [mbErrorDefs]="mbErrorDefs"
               [(ngModel)]="inputSearch"
               (ngModelChange)="onInputChange($event)"
>

</mb-input-text>
<ng-template #suffixIconSearch>
  <em class="icon__search" nz-icon nzType="search" (click)="openResult()"></em>
</ng-template>

<ng-template #suffixIconClose>
<!--  <i class="icon__search" nz-icon nzType="search" (click)="openResult()"></i>-->
  <em *ngIf="selected" class="icon__close" nz-icon nzType="close" (click)="clearResult()"></em>
</ng-template>
<ng-template #multiEmployeeTmpl>
  <div class="emp-multi-select">
    <label *ngIf="mbLabelText !== null" class="input__label" [innerHTML]="mbLabelText"></label>
    <div nz-row class='emp-select'>
      <div nz-col nzSpan="21" (click)='showInput()'>
        <nz-tag nz-row
          *ngFor="let item of selected; let i = index"
          [nzMode]="'default'"
          (nzOnClose)="handleClose(item)"
        >
          <span nz-tooltip nzTooltipTitle="{{ item.fullName + '-' + item.email }}" nzTooltipOverlayClassName='emp-tooltip' class='emp-select-text'>
            {{ item.fullName + '-' + item.email }}
          </span>
          <em class='icon-close' *ngIf="!mbDisable" nz-icon nzType="close" (click)="handleClose(item)"></em>
        </nz-tag>
      </div>
      <div class="btn" nz-col nzSpan="3">
        <em *ngIf="!mbDisable" class="icon__search" nz-icon nzType="search" (click)="openResult()"></em>
        <em *ngIf="!mbDisable && selected && selected.length > 0" class="icon__close" nz-icon nzType="close" (click)="clearResult()"></em>
      </div>
    </div>
    <div *ngIf="textMessageValue !== null && mbShowError" class="show-error">
      <em nz-icon nzType="close-circle" nzTheme="outline"></em>
      <span class="text__message">{{ textMessageValue }}</span>
    </div>
  </div>
</ng-template>

<nz-autocomplete #auto></nz-autocomplete>
